Name:      atop
Version:   2.1
Release:   %mkrel 2
Source0:   http://www.atcomputing.nl/download/%{name}-%{version}.tar.gz
Source6:        atop.service

URL:       http://www.ATComputing.nl/atop
Summary:   AT Computing System and Process Monitor
License:   GPLv2+
Group:     Monitoring
Buildrequires: zlib-devel 
Buildrequires: ncurses-devel
# for macro definition:
BuildRequires:  systemd-devel
BuildRequires:  systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The program atop is an interactive monitor to view the load on
a Linux-system. It shows the occupation of the most critical
hardware-resources (from a performance point of view) on system-level,
i.e. cpu, memory, disk and network. It also shows which processes are
responsible for the indicated load (again cpu-, memory-, disk- and
network-load on process-level).
The program atop can also be used to log system- and process-level
information in raw format for long-term analysis.

The program atopsar can be used to view system-level statistics as
reports, similar to the program sar.

%prep
%setup -q
sed -i -e "s/CFLAGS  =/CFLAGS +=/" Makefile

%build
CFLAGS="%{optflags}" %make

%install
install -Dp -m 04711 atop 	  $RPM_BUILD_ROOT%{_bindir}/atop
ln -s atop                        $RPM_BUILD_ROOT%{_bindir}/atopsar
install -Dp -m 0644 man/atop.1 	  $RPM_BUILD_ROOT%{_mandir}/man1/atop.1
install -Dp -m 0644 man/atopsar.1 $RPM_BUILD_ROOT%{_mandir}/man1/atopsar.1
install -Dp -m 0644 man/atoprc.5  $RPM_BUILD_ROOT%{_mandir}/man5/atoprc.5
install -Dp -m 0711 atop.daily	  $RPM_BUILD_ROOT/etc/atop/atop.daily
install -Dp -m 0644 atop.cron 	  $RPM_BUILD_ROOT/etc/cron.d/atop
install -Dp -m 0644 psaccs_atop	  $RPM_BUILD_ROOT/etc/logrotate.d/psaccs_atop
install -Dp -m 0644 psaccu_atop	  $RPM_BUILD_ROOT/etc/logrotate.d/psaccu_atop
install -Dp -m 0644 %{SOURCE6} $RPM_BUILD_ROOT%{_unitdir}/atop.service
install -d  -m 0755 		  $RPM_BUILD_ROOT/var/log/atop

%post
%systemd_post atop.service

# save today's logfile (format might be incompatible)
mv /var/log/atop/atop_`date +%Y%m%d` /var/log/atop/atop_`date +%Y%m%d`.save \
					2> /dev/null || :

# create dummy files to be rotated
touch /var/log/atop/dummy_before /var/log/atop/dummy_after

# activate daily logging for today
/etc/atop/atop.daily

%preun
%systemd_preun atop.service

%postun
%systemd_postun_with_restart atop.service

%files
%doc README COPYING README AUTHOR ChangeLog
%{_bindir}/atop
%{_bindir}/atopsar
%{_mandir}/man1/atop.1*
%{_mandir}/man1/atopsar.1*
%{_mandir}/man5/atoprc.5*
%{_sysconfdir}/%{name}/atop.daily
%{_sysconfdir}/cron.d/atop
%{_sysconfdir}/logrotate.d/psaccs_atop
%{_sysconfdir}/logrotate.d/psaccu_atop
%dir /var/log/atop/
%{_unitdir}/atop.service



%changelog
* Sun Oct 16 2016 tv <tv> 2.1-2.mga6
+ Revision: 1061149
- BR systemd-devel for macro definition (mga#12027)

* Thu May 26 2016 tv <tv> 2.1-1.mga6
+ Revision: 1018655
- switch to systemd unit + use std systemd macros
- new release
- fix URL

* Mon Feb 08 2016 umeabot <umeabot> 2.0.2-6.mga6
+ Revision: 947064
- Mageia 6 Mass Rebuild

  + danf <danf>
    - Package the atoprc.5 man page
    - Clarified the license as GPLv2+

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-5.mga5
+ Revision: 750430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 678030
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 502919
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 346551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 anssi <anssi> 2.0.2-1.mga3
+ Revision: 343618
- new version 2.0.2
- drop initscript_LSB.patch, fixed upstream

  + malo <malo>
    - fix RPM group

* Thu Mar 17 2011 tv <tv> 1.26-1.mga1
+ Revision: 73418
- imported package atop

